

#ifndef _COMMAND_H
#define _COMMAND_H

struct command_t {
	const char *name;
	bool (*run)(int argc, char **argv);
	void (*usage)(void);
};

extern void command_mode(void);
extern bool autoboot_mode(void);
extern bool do_command(int argc, char **argv);

#define usage_format(format, desc)		printf(" %-42s%s\n", format, desc)

#endif
