

#ifndef _STRING_H
#define _STRING_H

#include <types.h>

extern int strcmp(const char *cs, const char *ct);
extern void *memcpy(void *dest, const void *src, uint cnt);
extern void *memset(void *dest, int c, uint cnt);
extern int memcmp(const void *cs, const void *ct, unsigned int cnt);
extern char *strcpy(char *dest, const char *src);
extern uint strlen(const char *s);
extern uint strnlen(const char *s, uint cnt);
extern char *strchr(const char *s, int c);

extern void *blkzero(void *dest, unsigned int cnt);
extern void *blkset(void *dest, unsigned long val, unsigned int cnt);
extern int blkcmp(const void *dest, const void *src, unsigned int cnt);

extern bool strtoul(const char *cp, ulong *result, int base);
extern bool strtol(const char *cp, long *value, int base);

#endif
