

#include <hardware.h>

void pxa_gpio_mode(int mode){
	int gpio = mode & GPIO_MD_MASK_NR;
	int fn = (mode & GPIO_MD_MASK_FN) >> 8;
	int gafr;

	if (mode & GPIO_MD_MASK_DIR)
		GPDR(gpio) |= GPIO_bit(gpio);
	else
		GPDR(gpio) &= ~GPIO_bit(gpio);
	gafr = GAFR(gpio) & ~(0x3 << (((gpio) & 0xf)*2));
	GAFR(gpio) = gafr |  (fn  << (((gpio) & 0xf)*2));
	return;
}
